]> code.delx.au - gnu-emacs/blobdiff - make-dist
Remove now-inaccurate bytecode comments
[gnu-emacs] / make-dist
index 79db904a2c817f25ca1fb3059a3ceb02bf0c7e22..c0b0a0466f28e1c191fbd77de78e565ee4df4c47 100755 (executable)
--- a/make-dist
+++ b/make-dist
@@ -1,7 +1,7 @@
 #!/bin/sh
 ### make-dist: create an Emacs distribution tar file from current srcdir
 
-## Copyright (C) 1995, 1997-1998, 2000-2015 Free Software Foundation,
+## Copyright (C) 1995, 1997-1998, 2000-2016 Free Software Foundation,
 ## Inc.
 
 ## This file is part of GNU Emacs.
@@ -110,7 +110,7 @@ while [ $# -gt 0 ]; do
      ;;
 
     "--help")
-      echo "Usage: ${progname} [options]"
+      printf '%s\n' "Usage: ${progname} [options]"
       echo ""
       echo "  --bzip2  use bzip2 instead of gzip"
       echo "  --clean-up       delete staging directories when done"
@@ -128,7 +128,7 @@ while [ $# -gt 0 ]; do
     ;;
 
     * )
-      echo "${progname}: Unrecognized argument: $1" >&2
+      printf '%s\n' "${progname}: Unrecognized argument: $1" >&2
       exit 1
     ;;
   esac
@@ -137,9 +137,9 @@ done
 
 ### Make sure we're running in the right place.
 if [ ! -d src -o ! -f src/lisp.h -o ! -d lisp -o ! -f lisp/subr.el ]; then
-  echo "${progname}: Can't find 'src/lisp.h' and 'lisp/subr.el'." >&2
-  echo "${progname} must be run in the top directory of the Emacs" >&2
-  echo "distribution tree.  cd to that directory and try again." >&2
+  printf '%s\n' "${progname}: Can't find 'src/lisp.h' and 'lisp/subr.el'." >&2
+  printf '%s\n' "${progname} must be run in the top directory of the Emacs" >&2
+  printf '%s\n' "distribution tree.  cd to that directory and try again." >&2
   exit 1
 fi
 
@@ -155,7 +155,7 @@ then
       /*) ;;
       *)
        if [ ! -f "$EMACS" ]; then
-         echo "$0: You must set the EMACS environment variable " \
+         printf '%s\n' "$0: You must set the EMACS environment variable " \
               "to an absolute file name." 2>&1
          exit 1
        fi;;
@@ -168,7 +168,8 @@ version=`
   sed -n 's/^AC_INIT(GNU Emacs,[        ]*\([^  ,)]*\).*/\1/p' <configure.ac
 ` || version=
 if [ ! "${version}" ]; then
-  echo "${progname}: can't find current Emacs version in './src/emacs.c'" >&2
+  printf '%s\n' \
+    "${progname}: can't find current Emacs version in './src/emacs.c'" >&2
   exit 1
 fi
 
@@ -195,7 +196,7 @@ fi
 ### Make sure the subdirectory is available.
 tempparent="make-dist.tmp.$$"
 if [ -d ${tempparent} ]; then
-  echo "${progname}: staging directory '${tempparent}' already exists.
+  printf '%s\n' "${progname}: staging directory '${tempparent}' already exists.
 Perhaps a previous invocation of '${progname}' failed to clean up after
 itself.  Check that directories whose names are of the form
 'make-dist.tmp.NNNNN' don't contain any important information, remove
@@ -283,7 +284,7 @@ echo "Creating top directory: '${tempdir}'"
 mkdir ${tempdir}
 
 if [ "$changelog" = yes ]; then
-  if test -d .git; then
+  if test -e .git; then
     echo "Making top-level ChangeLog"
     make ChangeLog CHANGELOG=${tempdir}/ChangeLog || \
       { x=$?; echo "make ChangeLog FAILED (try --no-changelog?)" >&2; exit $x; }
@@ -300,7 +301,7 @@ echo "Making links to top-level files"
 ln INSTALL README BUGS ${tempdir}
 ln ChangeLog.*[0-9] Makefile.in autogen.sh configure configure.ac ${tempdir}
 ln config.bat make-dist .dir-locals.el ${tempdir}
-ln aclocal.m4 ${tempdir}
+ln aclocal.m4 CONTRIBUTE ${tempdir}
 
 echo "Creating subdirectories"
 for subdir in site-lisp \
@@ -310,7 +311,7 @@ for subdir in site-lisp \
              nt nt/inc nt/inc/sys nt/inc/arpa nt/inc/netinet nt/icons \
              `find etc lisp admin test -type d` \
              doc doc/emacs doc/misc doc/man doc/lispref doc/lispintro \
-             info m4 msdos \
+             info m4 modules modules/mod-test msdos \
              nextstep nextstep/templates \
              nextstep/Cocoa nextstep/Cocoa/Emacs.base \
              nextstep/Cocoa/Emacs.base/Contents \
@@ -322,7 +323,7 @@ do
 
   if [ "$with_tests" != "yes" ]; then
     case $subdir in
-        test*) continue ;;
+        test*|*/mod-test*) continue ;;
     esac
   fi
 
@@ -361,7 +362,7 @@ echo "Making links to 'build-aux'"
  ln gitlog-to-changelog gitlog-to-emacslog ../${tempdir}/build-aux
  ln install-sh missing move-if-change ../${tempdir}/build-aux
  ln update-copyright update-subdirs ../${tempdir}/build-aux
- ln dir_top make-info-dir ../${tempdir}/build-aux)
+ ln dir_top make-info-dir ar-lib ../${tempdir}/build-aux)
 
 echo "Making links to 'build-aux/snippet'"
 (cd build-aux/snippet
@@ -404,12 +405,25 @@ echo "Making links to 'm4'"
 (cd m4
  ln *.m4 ../${tempdir}/m4)
 
+echo "Making links to 'modules'"
+(cd modules
+ ln *.py ../${tempdir}/modules
+ if [ "$with_tests" = "yes" ]; then
+   for f in `find mod-test -type f`; do
+       case $f in
+           *.log|*.o|*.so) continue ;;
+       esac
+       ln $f ../$tempdir/modules/$f
+   done
+ fi
+)
+
 echo "Making links to 'nt'"
 (cd nt
  ln emacs-x86.manifest emacs-x64.manifest ../${tempdir}/nt
- ln subdirs.el [a-z]*.bat [a-z]*.[ch] ../${tempdir}/nt
+ ln [a-z]*.bat [a-z]*.[ch] ../${tempdir}/nt
  ln *.in gnulib.mk ../${tempdir}/nt
- ln mingw-cfg.site epaths.nt INSTALL.OLD ../${tempdir}/nt
+ ln mingw-cfg.site epaths.nt INSTALL.W64 ../${tempdir}/nt
  ln ChangeLog.*[0-9] INSTALL README README.W32 ../${tempdir}/nt)
 
 echo "Making links to 'nt/inc' and its subdirectories"
@@ -530,7 +544,7 @@ for subdir in . etc leim lib lib-src lisp lwlib msdos nt src; do
 done
 
 if [ "${newer}" ]; then
-  echo "Removing files older than $newer"
+  printf '%s\n' "Removing files older than $newer"
   ## We remove .elc files unconditionally, on the theory that anyone picking
   ## up an incremental distribution already has a running Emacs to byte-compile
   ## them with.
@@ -544,8 +558,9 @@ find ${tempparent} \( -name '*~' -o -name '#*#' -o -name '.*ignore' -o -name '=*
 if [ "${make_tar}" = yes ]; then
   echo "Looking for $default_gzip"
   found=0
-  temppath=`echo $PATH | sed -e 's/^:/.:/' -e 's/::/:.:/g' -e 's/:$/:./' \
-     -e 's/:/ /g'`
+  temppath=`printf '%s\n' "$PATH" |
+    sed -e 's/^:/.:/' -e 's/::/:.:/g' -e 's/:$/:./' -e 's/:/ /g'
+  `
   for dir in ${temppath}; do
     [ -x ${dir}/$default_gzip ] || continue
     found=1; break